<mat-card
  *transloco="let t; read: 'profile'"
  appearance="outlined"
  class="immute-user-contacts-container ">
  <mat-card-title>{{t('user_data')}}</mat-card-title>
  <div class="row-container gap">
    <div class="item-container">
      <b>{{t('email')}}</b>
      <p>{{userContactData.email_address}}</p>
    </div>
    <div class="item-container">
      <b>{{t('language_select')}}</b>
      <app-profile-language-select-button
        class="language-button-container"
        [currentLang]="currentLanguage"
        (langSelected)="setLanguage.emit($event)">
      </app-profile-language-select-button>
    </div>
  </div>
  <div *ngIf="roles && roles.length" class="item-container">
    <b>{{t('role')}}</b>
    <div class="role-container">
      <span *ngFor="let role of roles; last as l">
        {{'roles.'+role|transloco}} <span *ngIf="!l">, </span>
      </span>
    </div>
  </div>
</mat-card>
